Subject: Re: Does NeTraMet provide variable flowDataStatus?

From: Nevil Brownlee <[email-masked]>
Date: Sun, 16 Dec 2001 11:34:29 +0000

Hello David:

> Does NeTraMet provide the flow-mib variable "flowDataStatus" of the flow
> Table?
> I tried to write a meter reader with a flow garbage collector, that
> deletes a flow if the flowDataStatus variable is set to inactive(1).
> However, it never got inactive flows, so the status was always
> current(2) and the inactive flows were never deleted.
> Do you know a solution for that? Thanks for your answer.

The RFC 2720 MIB has a revision notice dated 971223 saying that
flowDataStatus was deprecated because it contains no useful
information.  NeTraMet (as you've observed) always returns 2.

The WG intent was that an RTFM meter should do the garbage
collection, on the grounds that it has to be able to survive
if all the current readers disappear.

There was a question on a related topic on the rtfm list a while
ago, maybe you could tell us a bit more about what you're wanting
to do?

Cheers, Nevil

+---------------------------------------------------------------------+
| Nevil Brownlee                     Director, Technology Development |
| Phone: +64 9 373 7599 x8941        ITSS, The University of Auckland |
|   FAX: +64 9 373 7021      Private Bag 92019, Auckland, New Zealand |
+---------------------------------------------------------------------L

---

From: Nevil Brownlee <[email-masked]>
Date: Mon, 17 Dec 2001 09:08:59 +0000

Hello again David:

> My plan is to write a meter reader that feeds a database with flow data,
> using the CAS (Charging and Accounting System) Framework, that was
> developed in our group. Individual flow data is treated as session
> fragments. Session fragments are collected into session
> characterizations. Every session fragment contains a flag saying whether
> it's the first/last fragment of a session. But how can the reader know
> whether a fragment was the last one? Well, it can have an internal
> timeout for the flows, that is the same (or greater, to be sure) as for
> the meter. But then you have some kind of "garbage collection" of flows
> also in reader. So wouldn't it be simpler to just rely on the flow
> status statement of the meter? I would suggest the meter sends some kind
> of "dummy" flow data, with a flow status set to inactive(1). 

OK.  I'll change the NeTraMet code to for the flow status object
to test whether the flow is inactive, and return 1 if it is.
That would indicate that the flow has become inactive, but has 
not yet been reclaimed by the meter's garbage collector.
That will be in the NeTraMet 4.4 release, due out soon.

Cheers, Nevil